このゾーンでは、各変数は、Prepare（準備）レシピと複数の回帰スプラインカスタムレシピによって処理されます。最終的には、トレーニングセットとテストセットでデータが分割され、トレーニングセットを使用して特徴量を設計し、モデルを構築します。テストセットは検証のために保存されます。

![Feature Processing.png](GajebPNF3F91)

# 初期クレンジング

特徴量の処理は[その他参考文献](article:2)で参照されている記事からヒントを得ています。最初の[prepare（準備） recipe](recipe:compute_claim_frequency_cleaned)では、データに対していくつかの変換が実行されます。

データセットは 1 年間の保険契約の請求に関するものであり、エクスポージャーは 1 を超えてはならないため、エクスポージャーの上限は 1 となっています。上限を 4 に設定した ClaimNb には、値が 4 を超える外れ値がいくつかあります。また、請求金額の値が欠落している場合は 0 が入力されています。

# トレーニングとテストの分割

データセットは、トレーニングセットとテストセットでランダムに分割されており、トレーニングセットに 90%、残りはテストセットに配分されています。トレーニングセットは、モデルに適合するグラフを作成するために使用され,特徴量エンジニアリングを促進します。テストセットはパフォーマンス評価にのみ使用されます。

# 特徴量解析

2 番目の [prepare（準備）recipe](recipe:compute_claim_frequency_prepared)では、ターゲットとの関係を分析するために、特徴量がさらに変換されます。スト結果の信頼性を確保するために、この作業はトレーニングセットで実施されます。

 - 車両の使用年数の上限は 20 であり、20 を超える値を持つ行はごくわずかで、有意性を持つには少なすぎます。
 - 運転者の年齢の場合も同様に、91 歳以上と 20 歳未満はほとんど見られないため、運転者の年齢は 20 と 90 の範囲内に制限されています。
 - ボーナスマルスは、請求がない場合の保険料割引を指すフランス語の用語であり、値が高いほどリスクが高くなります。この値は 150 に制限しています。
 - 密度は対数正規分布となっており、値の対数をとることで、よりバランスの取れた分布が作成されます。密度とは、保険契約者が所在する領域の密度を指します。
 - また、ボーナスマルスと対数密度を計算して、重要なデータチャンクの集約メトリクスを作成します。グループ化機能により、同じ変数に対して行われた操作はグループ化されます。

