純保険料モデリングは、請求の存在を条件とせずに、請求金額を直接予測するものです。


![Pure Premium Modeling.png](A8nqxEVO05me)

ーゲットは ClaimAmount です。これは [請求の重大度](article:17) でも同じでしたが、エクスポージャーは［ClaimNb］（請求数）ではなく［Exposure］（エクスポージャー）です。ターゲットの分布は、請求金額のものと類似していますが、[請求頻度](article:16)のように、0 での有意なピークも含まれている点が異なります。 したがって、結果をモデル化するために選択された分布は、Tweedie 分布です（そのため、評価メトリクスは Tweedie 偏差です）。Tweedie 分布には分散の形状に影響を及ぼす分散パワーパラメーターがあります。1 に設定するとポアソン分布になり、2 に設定するとガンマ分布になります。ここでは、1 と 2 の値を試します。

評価メトリクスのもう 1 つのオプションは、[ジニ係数](https://ja.wikipedia.org/wiki/%E3%82%B8%E3%83%8B%E4%BF%82%E6%95%B0)の使用です。これは、適合度の指標として解釈できます。値の範囲は 0 から 1 で、0 はランダムな適合、1 は完全な適合を示します。

GLM は次のように設定されます。
- Elastic Net Penalty:（エラスティックネットのペナルティ）：0
- Distribution（分布）: Tweedie
- Link function（リンク関数）: Log
- Offset mode（オフセットモード）: Offsets/Exposures
- Training dataset（トレーニングデータセット）: [claim_train](dataset:claim_train)
- Offset columns（オフセット列）: None
- Exposure columns（エクスポージャー列）: Exposure。請求金額を直接予測し、エクスポージャーで正規化します。
- Variance Power:（分散パワー）：1 から 2 までの値。1.5 が適切な開始点です。

次に [claim_test](dataset:claim_test)をスコアリングし、複合モデルのスコアと比較するデータセットを作成します。これは、請求頻度と請求程度を組み合わせたモデルです。