このスライドでは、複合モデルと Tweedie モデルのいくつかのパフォーマンスメトリクスを比較します。メトリクスの計算については、この[記事](article:19)で説明しています。

まず、1 と 2 の間における分散パワーの複数値の Tweedie 分散と、二乗平均平方根誤差、平均絶対誤差を計算します。これらをすべて同じグラフに表示するために、平均絶対誤差に 1 の分散パワーが、二乗平均平方根誤差に 0.5 の分散パワーが割り当てられます。後者ではすべての値が縮小されるため、最終的にはグラフから除外されます。現在の複合モデルは、すべての評価メトリクスにおいて Tweedie モデルを上回ります。

![tweedie variance.png](EadEQtNlCWfl)

両モデルと、ランダムモデルおよび Oracle モデルのローレンツ曲線を示します。ローレンツ曲線は累積請求グラフとして作成されます。実際の請求は、各モデルに従ってリスク順でランク付けされ、y 軸は変位値別の累積請求の割合を表します。ランダムモデルはランダムな値を使用して構築され、直線の対角線で構成されます。Oracle モデルは、実際のデータをランキングとして使用して構築され、左下角に最も近い位置に曲線を生成します（リスクの高いデータを蓄積する前に、0 リスクのすべての請求（多くのデータに該当）を蓄積し始めるため）。複合モデルは常に Tweedie モデルの下にあるため、このメトリクスのパフォーマンスは Tweedie モデルよりも優れています。

![lorenz curve.png](eO03wQgfM5e4)

ジニ係数は、ローレンツ曲線に基づき、数値の評価基準を提供します。これは ```1 - 2 * auc(lorenz curve)```で算出されます。ジニ係数が高いほど優れており、この場合も複合モデルのパフォーマンスのほうが優れています。このメトリクスでは、絶対予測値を比較せず、相対値のみを比較するため、適合度は評価されません。したがって、モデルのジニ係数はほぼ完璧になりますが、予測は妥当ではありません。そのため、予測が偏らないように、他の評価メトリクスと組み合わせる必要があります（そのリスクに沿った、相対的な予測と保険契約者のランキングにのみ関心がある場合を除く）。

![ginis.png](Nr8WT6V3a9Ek)
